org.apache.tomcat.websocket

## Interface BackgroundProcess

- All Known Implementing Classes:
    WsServerContainer, WsWebSocketContainer, WsWriteTimeout

      public interface BackgroundProcess

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `backgroundProcess()`
    `int` | `getProcessPeriod()`
    `void` | `setProcessPeriod(int period)`

- - ### Method Detail

    - #### backgroundProcess

          void backgroundProcess()

    - #### setProcessPeriod

          void setProcessPeriod(int period)

    - #### getProcessPeriod

          int getProcessPeriod()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.